datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaRatv1BeadID <- function() showQCData("illuminaRatv1BeadID", datacache)
illuminaRatv1BeadID_dbconn <- function() dbconn(datacache)
illuminaRatv1BeadID_dbfile <- function() dbfile(datacache)
illuminaRatv1BeadID_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaRatv1BeadID_dbInfo <- function() dbInfo(datacache)

illuminaRatv1BeadIDORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaRatv1BeadID.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "illuminaRatv1BeadID", "chip illuminaRatv1BeadID", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaRatv1BeadID_dbconn())
}

